import { useParams } from "react-router-dom";
import { useEffect, useState } from "react";
import axios from "axios";

export default function Channel() {
    const { id } = useParams();
    const [channel, setChannel] = useState({});
    const [messages, setMessages] = useState([]);

    useEffect(() => {
        axios.get(`/api/channels/${id}`).then((res) => {
            setChannel(res.data);
        });

        axios.get(`/api/channels/${id}/messages`).then((res) => {
            setMessages(res.data);
        });
    }, [id]);

    return (
        <div>
            <h1>Channel {channel.name}</h1>
            <ul>
                {messages.map((message) => (
                    <li key={message.id}>{`${message.username}: ${message.content}`}</li>
                ))}
            </ul>
        </div>
    );
}